Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExCGizmoRectangle Class Reference

`#include <ExCGizmoRectangle.h>`

Inheritance diagram for ExCGizmoRectangle:

## Public Methods
| ExCGizmoRectangle (void)
| ~ExCGizmoRectangle (void)
void | Draw (void)
## Data Fields
ExCVertex | m_Vertex [8]

## Constructor & Destructor Documentation

ExCGizmoRectangle | ( | void |  | ) |

| Definition at line 26 of file ExCGizmoRectangle.cpp. References ExCGizmoRectangle(), Guard, ExCObject::SetName(), and ExCObject::SetType(). Referenced by ExCGizmoRectangle(), and ~ExCGizmoRectangle().
    00027 {
    00028 Guard(ExCGizmoRectangle::ExCGizmoRectangle(void))
    00029         SetName("ExCGizmoRectangle");
    00030         SetType(typeid(this).name());
    00031 UnGuard
    00032 }

~ExCGizmoRectangle | ( | void |  | ) |

| Definition at line 34 of file ExCGizmoRectangle.cpp. References ExCGizmoRectangle(), and Guard.
    00035 {
    00036 Guard(ExCGizmoRectangle::~ExCGizmoRectangle(void))
    00037 UnGuard
    00038 }

## Member Function Documentation

void Draw | ( | void |  | ) | `[virtual]`

| Reimplemented from ExCGizmo. Definition at line 40 of file ExCGizmoRectangle.cpp. References Draw(), Guard, and m_Vertex. Referenced by ExCOctree::Draw(), and Draw().
    00041 {
    00042 Guard(void ExCGizmoRectangle::Draw(void))
    00043
    00044         glDisable(GL_LIGHTING);
    00045         glBegin(GL_LINE_LOOP);
    00046                 //upper face
    00047                 glVertex3f(m_Vertex[0].GetX(),m_Vertex[0].GetY(),m_Vertex[0].GetZ());
    00048                 glVertex3f(m_Vertex[1].GetX(),m_Vertex[1].GetY(),m_Vertex[1].GetZ());
    00049                 glVertex3f(m_Vertex[2].GetX(),m_Vertex[2].GetY(),m_Vertex[2].GetZ());
    00050                 glVertex3f(m_Vertex[3].GetX(),m_Vertex[3].GetY(),m_Vertex[3].GetZ());
    00051         glEnd();
    00052         glBegin(GL_LINE_LOOP);
    00053                 //down face
    00054             glVertex3f(m_Vertex[4].GetX(),m_Vertex[4].GetY(),m_Vertex[4].GetZ());
    00055                 glVertex3f(m_Vertex[5].GetX(),m_Vertex[5].GetY(),m_Vertex[5].GetZ());
    00056                 glVertex3f(m_Vertex[6].GetX(),m_Vertex[6].GetY(),m_Vertex[6].GetZ());
    00057                 glVertex3f(m_Vertex[7].GetX(),m_Vertex[7].GetY(),m_Vertex[7].GetZ());
    00058         glEnd();
    00059         glBegin(GL_LINES);
    00060                 //4 line for 4 face
    00061                 glVertex3f(m_Vertex[0].GetX(),m_Vertex[0].GetY(),m_Vertex[0].GetZ());
    00062                 glVertex3f(m_Vertex[4].GetX(),m_Vertex[4].GetY(),m_Vertex[4].GetZ());
    00063                 glVertex3f(m_Vertex[1].GetX(),m_Vertex[1].GetY(),m_Vertex[1].GetZ());
    00064                 glVertex3f(m_Vertex[5].GetX(),m_Vertex[5].GetY(),m_Vertex[5].GetZ());
    00065                 glVertex3f(m_Vertex[2].GetX(),m_Vertex[2].GetY(),m_Vertex[2].GetZ());
    00066                 glVertex3f(m_Vertex[6].GetX(),m_Vertex[6].GetY(),m_Vertex[6].GetZ());
    00067                 glVertex3f(m_Vertex[7].GetX(),m_Vertex[7].GetY(),m_Vertex[7].GetZ());
    00068                 glVertex3f(m_Vertex[3].GetX(),m_Vertex[3].GetY(),m_Vertex[3].GetZ());
    00069         glEnd();
    00070 UnGuard
    00071 }

## Field Documentation

ExCVertex m_Vertex[8]

| Definition at line 43 of file ExCGizmoRectangle.h. Referenced by ExCOctree::BuildBox(), ExCEntite::BuildPvsBox(), and Draw().

The documentation for this class was generated from the following files:

- ExCGizmoRectangle.h
- ExCGizmoRectangle.cpp